Traceback (most recent call last):

File "/usr/local/lib/python3.7/dist-packages/peewee.py", line 6861, in get

return clone.execute(database)[0]

File "/usr/local/lib/python3.7/dist-packages/peewee.py", line 4258, in __getitem__

return self.row_cache[item]

IndexError: list index out of range



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/usr/local/lib/python3.7/dist-packages/playhouse/flask_utils.py", line 55, in get_object_or_404

return query_or_model.where(*query).get()

File "/usr/local/lib/python3.7/dist-packages/peewee.py", line 6866, in get

(clone.model, sql, params))

dbo.EntryDoesNotExist: instance matching query does not exist:

SQL: SELECT "t1"."id", "t1"."title", "t1"."tags", "t1"."slug", "t1"."content", "t1"."published", "t1"."nda", "t1"."show_in_gallery", "t1"."show_in_blog", "t1"."project_info", "t1"."timestamp", "t1"."header_media" FROM "entry" AS "t1" WHERE (("t1"."published" = ?) AND ("t1"."slug" = ?)) LIMIT ? OFFSET ?

Params: [True, 'celestials', 1, 0]



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/opt/md_portfolio/app.py", line 547, in detail

entry = get_object_or_404(query, Entry.slug == slug)

File "/usr/local/lib/python3.7/dist-packages/playhouse/flask_utils.py", line 57, in get_object_or_404

abort(404)

File "/usr/local/lib/python3.7/dist-packages/werkzeug/exceptions.py", line 822, in abort

return _aborter(status, *args, **kwargs)

File "/usr/local/lib/python3.7/dist-packages/werkzeug/exceptions.py", line 807, in __call__

raise self.mapping[code](*args, **kwargs)

werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.